---@class Event : Object
---@field _data EventData
Event = Object:extendAs("model.Event")

---@param eventData EventData
function Event:new(eventData)
    local this = Event:super(Object:new())
    this._data = assert(eventData)
    return this
end

---@protected
---@return EventData
function Event:data()
    return self._data
end
